org.apache.thrift

## Interface TServiceClientFactory<T extends TServiceClient>

- Type Parameters:
    `T` -

      public interface TServiceClientFactory<T extends TServiceClient>

  A TServiceClientFactory provides a general way to get a TServiceClient connected to a remote TService via a protocol.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getClient(TProtocol prot)` Get a brand-new T using prot as both the input and output protocol.
    `T` | `getClient(TProtocol iprot, TProtocol oprot)` Get a brand new T using the specified input and output protocols.

- - ### Method Detail

    - #### getClient

          T getClient(TProtocol prot)

      Get a brand-new T using prot as both the input and output protocol.
      Parameters:
        `prot` -
      Returns:

    - #### getClient

          T getClient(TProtocol iprot,
                    TProtocol oprot)

      Get a brand new T using the specified input and output protocols. The input and output protocols may be the same instance.
      Parameters:
        `iprot` -
        `oprot` -
      Returns: